- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
G::Convert::utf8 Struct Reference

A string wrapper that indicates UTF-8 encoding. More...

`#include <gconvert.h>`

## Public Member Functions
| utf8 ()
| utf8 (const std::string &s_)

## Public Attributes
std::string | s

## Detailed Description

A string wrapper that indicates UTF-8 encoding.

Definition at line 44 of file gconvert.h.

## Constructor & Destructor Documentation

G::Convert::utf8::utf8 | ( |  | ) |
| inline

Definition at line 46 of file gconvert.h.

G::Convert::utf8::utf8 | ( | const std::string & | s_ | ) |
| inline explicit

Definition at line 47 of file gconvert.h.

## Member Data Documentation

std::string G::Convert::utf8::s

Definition at line 48 of file gconvert.h.

Referenced by G::Convert::convert().

The documentation for this struct was generated from the following file:

- gconvert.h